Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Interface IScriptEngine

    public interface IScriptEngine

Method Summary
`void` | `close()` Closes the engine.
`ICompiledScript` | `compile(ScriptContext scriptContext, java.lang.String fileName, int lineNumber, java.lang.String script)` Compiles the script for later execution.
`java.lang.Object` | `evaluate(ScriptContext scriptContext, ICompiledScript script)` Evaluates a compiled script.
`IScriptEngineFactory` | `getFactory()` Returns the script engine factory which created this engine instance.
`java.lang.String` | `getScriptLanguage()` Returns name of script.
`void` | `setApplicationClassLoader(java.lang.ClassLoader loader)` Sets application class loader.
`void` | `setLocale(java.util.Locale locale)` Sets locale.
`void` | `setTimeZone(com.ibm.icu.util.TimeZone zone)` Sets time zone.

Method Detail

### getFactory

    IScriptEngineFactory getFactory()

  Returns the script engine factory which created this engine instance.

### getScriptLanguage

    java.lang.String getScriptLanguage()

  Returns name of script.

  Returns:

### evaluate

    java.lang.Object evaluate(ScriptContext scriptContext,
                              ICompiledScript script)
                              throws BirtException

  Evaluates a compiled script.

  Parameters:
    `script` -
  Returns:
  Throws:
    `BirtException`

### compile

    ICompiledScript compile(ScriptContext scriptContext,
                            java.lang.String fileName,
                            int lineNumber,
                            java.lang.String script)
                            throws BirtException

  Compiles the script for later execution.

  Parameters:
    `script` -
    `id` -
    `lineNumber` -
  Returns:
  Throws:
    `BirtException`

### setTimeZone

    void setTimeZone(com.ibm.icu.util.TimeZone zone)

  Sets time zone.

### setLocale

    void setLocale(java.util.Locale locale)

  Sets locale.

### setApplicationClassLoader

    void setApplicationClassLoader(java.lang.ClassLoader loader)

  Sets application class loader.

### close

    void close()

  Closes the engine.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.